import os, sys
import matplotlib.pyplot as plt

# Append root dir of this project to include functionality
sys.path.append(os.path.dirname(os.getcwd()))
import binary_c
from utils.defaults import physics_defaults
from utils.functions import create_arg_string

"""
This script is intended to have the logfile of a binary system being outputted to a given directory so that we can use that logfile for other purposes
Like plotting/visualizing the general evolution of that system using e.g. Mirons script
"""

def example_with_loading_default_args():
    """
    Example function loading the default physics args for a binary_c system. Got
    it from the binary_grid2 perl module

    This function works if binary_c is set to log something every timestep so that we can plot the evolution of a system
    """

    # Load args
    physics_args = physics_defaults.copy()

    # Manually set M_1, M_2, orbital_period and separation values:
    physics_args['M_1'] = 20
    physics_args['M_2'] = 15
    physics_args['separation'] = 0 # 0 = ignored, use period
    physics_args['orbital_period'] = 4530.0

    physics_args['log_filename'] = os.path.join(os.getcwd(), 'test.log')
    print(physics_args['log_filename'])

    arg_string = create_arg_string(physics_args)
    arg_string = f'binary_c {arg_string}' 

    buffer = ""

    print(arg_string)

    output = binary_c.run_binary(arg_string)
example_with_loading_default_args()