import os, sys

# Append root dir of this project to include functionality
sys.path.append(os.path.dirname(os.getcwd()))
import binary_c


"""
Example script for running a single system. This is a very simple set up.
For a different way of inputting arg strings:

from utils.defaults import physics_defaults
from utils.functions import create_arg_string

physics_args = physics_defaults.copy()
physics_args['orbital_period'] = 4530.0

arg_string = create_arg_string(physics_args)
arg_string = f'binary_c {arg_string}' 

Other examples can be found using this method
"""

def run_test_binary():
    m1 = 15.0 # Msun
    m2 = 14.0 # Msun
    separation = 0 # 0 = ignored, use period
    orbital_period = 4530.0 # days
    eccentricity = 0.0
    metallicity = 0.02
    max_evolution_time = 15000
    buffer = ""
    # argstring = "binary_c M_1 {0:g} M_2 {1:g} separation {2:g} orbital_period {3:g} eccentricity {4:g} metallicity {5:g} max_evolution_time {6:g}  ".format(m1,m2,separation,orbital_period,eccentricity,metallicity,max_evolution_time)
    
    argstring = f"binary_c M_1 {m1} M_2 {m2} separation {separation} orbital_period {orbital_period} eccentricity {eccentricity} metallicity {metallicity} max_evolution_time {max_evolution_time}"

    output = binary_c.run_binary(argstring)

    # print ("Binary_c output:\n\n")
    print (output)